Page MenuHomePhabricator

Improve Download from Git page mentioning git branches
Closed, ResolvedPublic

Description

Forked from T187037#4007775

https://www.mediawiki.org/wiki/Download_from_Git inconsistently mentions switching to branches and stuff, which means you can end up with branched MW and master extensions, which isn't always going to work well together

We should improve the documentation to make sure all steps mention that you can use branches (or clone initially a specific branch)

Event Timeline

Reedy created this task.Feb 27 2018, 10:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2018, 10:04 PM
Reedy added a comment.EditedFeb 28 2018, 1:08 AM

Thanks!

We should do https://www.mediawiki.org/wiki/Download_from_Git#Using_Git_to_download_MediaWiki_extensions too

Nice to have: REL1_30 being dynamic...

Jdforrester-WMF added a subscriber: Samwilson.

More updates, including the dynamicism of REL1_30; magic and hard work done by @Samwilson:

https://www.mediawiki.org/w/index.php?title=Download_from_Git&diff=2727346&oldid=2726411&diffmode=source

Resolved?

I think it needs more explanation about the extension and skin submodules. Do we recommend people to use them (and so have two systems of managing extensions)? Or to ignore them (and manually clone extensions)?

It sort of feels like there are too many audiences for that page. Developers don't need as much help as sysadmins installing a real site, I think, but we've got the instructions interleaved a bit.

I think it needs more explanation about the extension and skin submodules. Do we recommend people to use them (and so have two systems of managing extensions)? Or to ignore them (and manually clone extensions)?

Ignore them, definitely.

It sort of feels like there are too many audiences for that page. Developers don't need as much help as sysadmins installing a real site, I think, but we've got the instructions interleaved a bit.

Fair. However, almost all the issues we hear about are sysadmins running their systems off git. Maybe split the page into the two audiences?

I'm glad you say ignore em :-)

I'll update the page a bit. I don't think it needs to be split, but probably just have sysadmins as the primary audience, with dev-only comments made more clear.

Samwilson closed this task as Resolved.Jan 16 2019, 3:54 PM

I think the page looks okay now; there don't seem to be any obviously bad usages of master branches, and all (I think) mentions of release numbers are done dynamically so they stay current.